edu.sc.seis.sod.velocity.network

## Class VelocityStation

- java.lang.Object
- - edu.iris.Fissures.IfNetwork.Station
  - - edu.iris.Fissures.network.StationImpl
    - - edu.sc.seis.sod.velocity.network.VelocityStation

- All Implemented Interfaces:
    java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class VelocityStation
      extends edu.iris.Fissures.network.StationImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.network.StationImpl

      `dbid`

    - ### Fields inherited from class edu.iris.Fissures.IfNetwork.Station

      `comment, description, id, name, operator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityStation(edu.iris.Fissures.network.StationImpl sta)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `get_code()`
    `edu.iris.Fissures.IfNetwork.StationId` | `get_id()`
    `java.lang.String` | `getAz(VelocityEvent event)`
    `java.lang.String` | `getBaz(VelocityEvent event)`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getCodes()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getCSVName()`
    `int` | `getDbId()`
    `java.lang.String` | `getDepth()`
    `java.lang.String` | `getDepth(java.lang.String format)`
    `java.lang.String` | `getDescription()`
    `edu.iris.Fissures.model.QuantityImpl` | `getDist(VelocityEvent event)`
    `java.lang.String` | `getDistance(VelocityEvent event)`
    `java.lang.String` | `getDistanceDeg(VelocityEvent event)`
    `java.lang.String` | `getElevation()`
    `java.lang.String` | `getElevation(java.lang.String format)`
    `java.lang.String` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String dateFormat)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEndDate()`
    `java.lang.Float` | `getFloatLatitude()`
    `java.lang.Float` | `getFloatLongitude()`
    `edu.iris.Fissures.IfNetwork.StationId` | `getId()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLatitude(java.lang.String format)`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getLongitude(java.lang.String format)`
    `java.lang.String` | `getName()`
    `VelocityNetwork` | `getNet()`
    `java.lang.String` | `getNetCode()`
    `java.lang.String` | `getOperator()`
    `java.lang.String` | `getOrientedLatitude()`
    `static java.lang.String` | `getOrientedLatitude(float latitude)`
    `java.lang.String` | `getOrientedLongitude()`
    `static java.lang.String` | `getOrientedLongitude(float longitude)`
    `int[]` | `getPosition()`
    `java.lang.String` | `getStart()`
    `java.lang.String` | `getStart(java.lang.String dateFormat)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getStartDate()`
    `java.lang.String` | `getURL()`
    `edu.iris.Fissures.network.StationImpl` | `getWrapped()`
    `int` | `hashCode()`
    `void` | `insertIntoContext(org.apache.velocity.VelocityContext ctx)`
    `void` | `setPosition(int[] position)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toXML()`
    `static VelocityStation[]` | `wrap(edu.iris.Fissures.IfNetwork.Station[] stations)`
    `static java.util.List<VelocityStation>` | `wrapList(java.util.List<? extends edu.iris.Fissures.IfNetwork.Station> stations)`

    - ### Methods inherited from class edu.iris.Fissures.network.StationImpl

      `associateInDB, createEmpty, getDbid, getNetworkAttrImpl, implize, setDbid`

    - ### Methods inherited from class edu.iris.Fissures.IfNetwork.Station

      `_read, _truncatable_ids, _type, _write, getBeginTime, getEffectiveTime, getEndTime, getLocation, getNetworkAttr, intern, intern, setBeginTime, setComment, setDescription, setEffectiveTime, setEndTime, setId, setLocation, setName, setNetworkAttr, setOperator`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityStation

          public VelocityStation(edu.iris.Fissures.network.StationImpl sta)

  - ### Method Detail

    - #### getDbId

          public int getDbId()

    - #### get_id

          public edu.iris.Fissures.IfNetwork.StationId get_id()

      Overrides:
        `get_id` in class `edu.iris.Fissures.network.StationImpl`

    - #### getId

          public edu.iris.Fissures.IfNetwork.StationId getId()

      Overrides:
        `getId` in class `edu.iris.Fissures.IfNetwork.Station`

    - #### get_code

          public java.lang.String get_code()

      Overrides:
        `get_code` in class `edu.iris.Fissures.network.StationImpl`

    - #### getCode

          public java.lang.String getCode()

    - #### getCodes

          public java.lang.String getCodes()

    - #### getNetCode

          public java.lang.String getNetCode()

    - #### getNet

          public VelocityNetwork getNet()

    - #### getStartDate

          public edu.iris.Fissures.model.MicroSecondDate getStartDate()

    - #### getEndDate

          public edu.iris.Fissures.model.MicroSecondDate getEndDate()

    - #### getStart

          public java.lang.String getStart()

    - #### getStart

          public java.lang.String getStart(java.lang.String dateFormat)

    - #### getEnd

          public java.lang.String getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String dateFormat)

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `edu.iris.Fissures.IfNetwork.Station`

    - #### getCSVName

          public java.lang.String getCSVName()

    - #### getDescription

          public java.lang.String getDescription()

      Overrides:
        `getDescription` in class `edu.iris.Fissures.IfNetwork.Station`

    - #### getOperator

          public java.lang.String getOperator()

      Overrides:
        `getOperator` in class `edu.iris.Fissures.IfNetwork.Station`

    - #### getComment

          public java.lang.String getComment()

      Overrides:
        `getComment` in class `edu.iris.Fissures.IfNetwork.Station`

    - #### getLatitude

          public java.lang.String getLatitude()

    - #### getLatitude

          public java.lang.String getLatitude(java.lang.String format)

    - #### getLongitude

          public java.lang.String getLongitude()

    - #### getLongitude

          public java.lang.String getLongitude(java.lang.String format)

    - #### getOrientedLatitude

          public java.lang.String getOrientedLatitude()

    - #### getOrientedLatitude

          public static java.lang.String getOrientedLatitude(float latitude)

    - #### getOrientedLongitude

          public java.lang.String getOrientedLongitude()

    - #### getOrientedLongitude

          public static java.lang.String getOrientedLongitude(float longitude)

    - #### getFloatLatitude

          public java.lang.Float getFloatLatitude()

    - #### getFloatLongitude

          public java.lang.Float getFloatLongitude()

    - #### getDepth

          public java.lang.String getDepth()

    - #### getDepth

          public java.lang.String getDepth(java.lang.String format)

    - #### getElevation

          public java.lang.String getElevation()

    - #### getElevation

          public java.lang.String getElevation(java.lang.String format)

    - #### getDistance

          public java.lang.String getDistance(VelocityEvent event)

    - #### getDistanceDeg

          public java.lang.String getDistanceDeg(VelocityEvent event)

    - #### getAz

          public java.lang.String getAz(VelocityEvent event)

    - #### getDist

          public edu.iris.Fissures.model.QuantityImpl getDist(VelocityEvent event)

    - #### getBaz

          public java.lang.String getBaz(VelocityEvent event)

    - #### getURL

          public java.lang.String getURL()

    - #### toXML

          public java.lang.String toXML()
                                 throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `edu.iris.Fissures.network.StationImpl`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setPosition

          public void setPosition(int[] position)

    - #### getPosition

          public int[] getPosition()

    - #### insertIntoContext

          public void insertIntoContext(org.apache.velocity.VelocityContext ctx)

    - #### getWrapped

          public edu.iris.Fissures.network.StationImpl getWrapped()

    - #### wrap

          public static VelocityStation[] wrap(edu.iris.Fissures.IfNetwork.Station[] stations)

    - #### wrapList

          public static java.util.List<VelocityStation> wrapList(java.util.List<? extends edu.iris.Fissures.IfNetwork.Station> stations)